SessionControllerSetCustomAttributes Method |
POST /Session/CustomAttributes/{id}
Sets the custom attributes for the specified session ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("CustomAttributes")]
public HttpResponseMessage SetCustomAttributes(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData> customAttributes,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("CustomAttributes")>
Public Function SetCustomAttributes (
id As Guid,
<FromBodyAttribute> customAttributes As IList(Of CustomAttributeData),
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"CustomAttributes")]
HttpResponseMessage^ SetCustomAttributes(
Guid id,
[FromBodyAttribute] IList<CustomAttributeData^>^ customAttributes,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("CustomAttributes")>]
member SetCustomAttributes :
id : Guid *
[<FromBodyAttribute>] customAttributes : IList<CustomAttributeData> *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemGuid
The ID of the session on which the custom attributes will be set. - customAttributes
- Type: System.Collections.GenericIListCustomAttributeData
An array that carries the custom attributes to be set. - sessionId (Optional)
- Type: SystemNullableGuid
ID of the current session (session must be of a user with high enough permissions to set attributes).
Return Value
Type:
HttpResponseMessageA status code indicating success or the reason for failure.
See Also